## fo-property-width

fo-property-width —

## Synopsis

    enum        FoEnumWidth;
    #define     FO_TYPE_ENUM_WIDTH
    GType       fo_enum_width_get_type          (void);
    struct      FoPropertyWidth;
    struct      FoPropertyWidthClass;
    FoProperty* fo_property_width_new           (void);
    FoProperty* fo_property_width_get_initial   (void);

## Description

## Details

### enum FoEnumWidth

    typedef enum {
      FO_ENUM_WIDTH_AUTO
    } FoEnumWidth;

### FO_TYPE_ENUM_WIDTH

    #define     FO_TYPE_ENUM_WIDTH

### fo_enum_width_get_type ()

    GType       fo_enum_width_get_type          (void);

Returns : |

### struct FoPropertyWidth

    struct FoPropertyWidth;

### struct FoPropertyWidthClass

    struct FoPropertyWidthClass;

### fo_property_width_new ()

    FoProperty* fo_property_width_new           (void);

Creates a new FoPropertyWidth initialized to default value.

Returns : | the new FoPropertyWidth.

### fo_property_width_get_initial ()

    FoProperty* fo_property_width_get_initial   (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.